import 'reflect-metadata';
import { DependencyContainer, Lifecycle } from 'tsyringe';
export declare const idFloat: number;
export declare type DiContainerWithDefaults = {
    container: DependencyContainer;
    providers: Provider[];
};
export declare function di(): DiContainerWithDefaults;
interface DependencyGroup {
    [name: string]: Class<unknown>;
}
export declare class Provider {
    [name: string]: unknown;
}
export declare function registerProvider(blueprints: DependencyGroup, ...providers: Class<unknown>[]): void;
export declare const defaultContainerScope: {
    lifecycle: Lifecycle;
};
interface Class<T> extends Function {
    new (...args: unknown[]): T;
}
export {};
